//fonts
@mixin main-font-12-normal($color) {
    font-family: $main-font;
    font-style: normal;
    font-weight: normal;
    font-size: 12px;
    color: $color;
}

@mixin main-font-12-300($color) {
    font-family: $main-font;
    font-style: normal;
    font-weight: normal;
    font-size: 12px;
    color: $color;
}

@mixin main-font-12-300-italic($color) {
    font-family: $main-font;
    font-style: italic;
    font-weight: 300;
    font-size: 12px;
    color: $color;
}

@mixin main-font-14-normal($color) {
    font-family: $main-font;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    color: $color;
}

@mixin main-font-14-300($color) {
    font-family: $main-font;
    font-style: normal;
    font-weight: 300;
    font-size: 14px;
    color: $color;
}

@mixin main-font-14-500($color) {
    font-family: $main-font;
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    color: $color;
}

@mixin main-font-16-500($color) {
    font-family: $main-font;
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    color: $color;
}

@mixin main-font-16-normal($color) {
    font-family: $main-font;
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    color: $color;
}

@mixin  main-font-18-normal($color){
    font-family: $main-font;
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    color: $color;
}

@mixin  main-font-18-500($color){
    font-family: $main-font;
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    color: $color;
}

@mixin main-font-20-500($color) {
    font-family: $main-font;
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
}

@mixin main-font-24-bold($color) {
    font-family: $main-font;
    font-style: normal;
    font-weight: bold;
    font-size: 24px;
}

@mixin secondary-font-12-normal($color) {
    font-family: $secondary-font;
    font-style: normal;
    font-weight: normal;
    font-size: 12px;
    color: $color;
}

@mixin secondary-font-12-300($color) {
    font-family: $secondary-font;
    font-style: normal;
    font-weight: 300;
    font-size: 12px;
    color: $color;
}

@mixin secondary-font-12-500($color) {
    font-family: $secondary-font;
    font-style: normal;
    font-weight: 500;
    font-size: 12px;
    color: $color;
}
